# Uses of Class
org.codehaus.janino.Java.MemberEnumDeclaration

Packages that use Java.MemberEnumDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.MemberEnumDeclaration in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.MemberEnumDeclaration
Modifier and Type
Method
Description
`R`
Visitor.TypeBodyDeclarationVisitor.`visitMemberEnumDeclaration(Java.MemberEnumDeclaration med)`
Invoked by `accept(Visitor.TypeBodyDeclarationVisitor)`
`R`
Visitor.TypeDeclarationVisitor.`visitMemberEnumDeclaration(Java.MemberEnumDeclaration med)`
Invoked by `accept(Visitor.TypeDeclarationVisitor)`

## Uses of Java.MemberEnumDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.MemberEnumDeclaration
Modifier and Type
Method
Description
`Java.MemberTypeDeclaration`
DeepCopier.`copyMemberEnumDeclaration(Java.MemberEnumDeclaration subject)`
`void`
AbstractTraverser.`traverseMemberEnumDeclaration(Java.MemberEnumDeclaration med)`
`void`
Traverser.`traverseMemberEnumDeclaration(Java.MemberEnumDeclaration med)`